\hsize 14.8cm
\vsize 23.8cm
\leftskip 0.5cm

\centerline{\bf LHa for UNIX Users Manual}
\centerline{ LHa High Cost Performance Archiver}

\centerline{\bf  February 17,1992}
\bigskip
\leftline{\bf SYNOPSIS}
\centerline 
$$ lha \[key\] \[ modifiers \] archive_file \[ file \] \cdots \[ file \] $$
\leftline{\bf DESCRIPTION }

 LHa is a file archiver with high compaction ratio.
$key$ specifies LHa's one of the 8 functions described below.
Functions {\it add, update, extract, delete, list, }
If you suppress $key$, then you assumed $key$ -$l$.


\leftline{\it KEY list}
\centerline   {\bf a}  
 add $file(s)$ to $archive_file$, if $file(s)$ is a  directory, then all of
the files in that directory is added to $archive_file$.

\centerline{\bf u} Update.
  If $file(s)$ specified are not in $archive_file$ or newer than those in the
$archive_file$ then $files$ are Updated or added.

\centerline{\bf l or v} list or view
  You may list $files$ in the $archive_file$ with time stamp, size and CRC.
If you do not specify $file(s)$ name(s), then you will see all of them.
With $key$ {\bf v} you will have more informations than {\bf l}.

\centerline{\bf x,e} EXtract.
 Synopsis    LHA x(e) $archive_file$ $file(s).

Extract $file(s)$ from $archive_file$. If you specify no $file(s)$, then
you will have all of the files included in $archive_file$. If you have
some duplicate file_names, you are prompted to "Overwrite[Y/N]?"

\centerline{bf p}
  Print. Take out the specified file from the archive and direct the
  file output to standard out. If you don't specify a filename, then
  all the files are output to

\centerline{bf d}
  Delete. Delete specified file from the archive.

\centerline{bf m}
  Move. Move (mv) files to archive_file, and remove archived files in
  the original. You may do the same with {\bf a} with {\bf d} modifier.

\centerline{bf c}
   Create. Create a New archive_file and add file(s) to it.

\pagebreak

\leftline{\bf Modifiers;} by specifying one or more of the following
  modifers with the $key$, you may modify the functions of the action
  of $LHA$ defined by the $KEY$.


\centerline{bf q}
   Quit from interactive message display.

\centerline{\bf -v}
 Verbose, you get verbose display of messages from $LHA$

\centerline{\bf n}
        Not execute, with this switch, $LHA$ does not update or extract.
        The switch is supllied for you to test the actions of $LHA$.

\ceterline{\bf f}
        Force. $LHA$ extract files from archiver without checking the
        existing files. Existing files are deleted.

\centerline{\bf t}
        Text mode flip. $LHA$ archive text files with $crlf$, dos format.
        And extract test files from archive deleting dos format $cr$.

\centerline{\bf g} 
        Generate Archives without owner-group attributes of UNIX.
        When extracting,  UNIX specific attributes are ignored.


\centerline{\bf d} 
        Delete after archive. When used with the functional switches
        {\bf u,a}, the archived files are deleted from the original
        directory.
        
{\bf Caution.} When used with {\bf u}, when the archive_file contains a newer
        file with the same name, the older file will be removed.


\centerline{\bf o}
   Old compatible. Generate Archive_file with format compatible with
old $lharc$. You may specify $KEY$s {\bf a, u, m}. You can extract
files from archive with old $lharc$. Since $LHA$ is upper-compatible
with $lharc$, $LHA$ just ignores this modification.


\centerline{\bf z}
  Zero compression. You may use this option for the files already
  compressed by $LHA$ or some other archiver compressor.
  $LHA$ just ignores this modification upon extraction.

\centerline{bf 0/1/2}
  Specify Header Level. Effective only on making an archive_file.
  header_level 0 was used in lharc.
  Default header level is 1. The header level will be standarized
  to level 2 in the future.
  On extracting files, $LHA$ detects the header level used in the
  archive_level.

\bigskip
  {\it\bf archive_file} specifies the name of the archive_file.
You may use {\bf -} to make pipe and redirection from or to
the archive_file. Like {\bf tar (1)}, you may suppose {\bf archive_file}
as standard out when archiving, and standard-in when extracting.

Differing from DOS version, $LHa$ will not assume $.lzh$ as file_name
extension, so that you maight have to supply $.lzh$ after the archive_name
for extraction. You had better make it your common practice to specify
$.lzh$ for your archive_file name.

There is no definite rule for capitalizing $LHA$ or $LHa$, you may use
$lha$ as well.

In case you have an extension $.COM$ or $.EXE$, $LHa$ first checks to see
if it is a {\bf self-extracting} file made with DOS version.

In case you have the extension $.x$, $LHa$ checks to see if it is made
by the OS Human68K, for the SHARP X68000, similarly {\bf self-extracting}.
In bothe of these cases, $Lha$ will change extension into $.lzh$ and delete
{\it Self-Extracting Header}.

\leftline{\bf FILES and extensions.}
\item
  '*.com *.exe  &   'u   \cr
   *.lzh        &   - LHa/LHarc archived files. \cr
   *.bak        &   - Backup files.    \cr
  /tmp/lh*      &   - Temporary files  \cr
  *.com *.exe   &   - MS-DOS SFX files. \cr
  *.x             - Human68k SFX file   \cr

\leftline{\it "SEE ALSO tar (1), ar (1) and compress (1)."


\centerline{DISTRIBUTION POLIICY}
It is free to redistribute, post or change under following conditions.
(1) Copyright Statement must be intact.
(2) The original package must be contained as is. You may add your
    new document, changed source or Makefile, but along with the originals.
    You may add your contributions to the original. In that case you have
    to make what contribution is made and where. You must prepare your own
    document explaining for your new contributions.
(3) You can't distribute binary code without source codes.
    Even with your new contributions for a specific hardware.
(4) You must do your best to follow the latest update.
(5) Author is not liable for any damages you get from using this program.
(6) Author is exmpted from the duty to redeem for the any defect in the
    program.

(6) You may use the whole or a part of the source code of this program
    in your application program. But You can't use name LHa or you may
    not use LHa as a part of your program's name.
(7) For commercial distributions, you must observe all of the conditions
    above and you must not use  this program as  the main body of your
    distribution.
(8) A commercial distributer should not distribute this package for
    the indefinite users among whom some are not well qualified to
    use this program.
\bigskip

(9) If a commercail distributer use LHa as a mean of INSTALL of an
    application, one must always be ready for some other method for
    INSTALL for which one must be responsible. Distributor must be
    responsible for all of the INSTALL procedure.
    A distributor must be responsible for the use of this program
    for distribution of distributors program. And should be ready to
    support for the users as to the use of this program.

\bigskip

\lefline{\bf Acknowledgement}
(From Y.Tagawa)

To Prof.Haruyasu Okumura who first coded LZARI, as a Basis for LZHUF
compression Method. For Mr.Kazuhiko Miki, who introduced LZARI to
Nifty-Serve, the author of LARC. To Haruyasu Yoshizaki, who first
coded LZHUF, the author of MSDOS version of LHa and LHARC.
To all the people who helped in making LHarc in UNIX, Kazuaki Ishibashi
(MIX ID k.ishi) specifically, to those who contributed messages and
bug reports, like Kimiichiro Mori (MIX id kmori).
\bigskip

(From Masaru Oki)
To Y.Tagawa, who coded the first LHarc UNIX, To Mr.H.S. who implemented
LHarc UNIX to OSK and added LHa's new compression algorithm, To all those
in the Mailing list of {\bf Mailing List LHA for UNIX},
I acknowledge my deepest gratitude.

\end
